[MAC-L] Need help with MySQL and PHP

A. Canton acanton-list at adams-blake.com
Tue Sep 5 18:59:23 EDT 2006


Have new Mac Mini.

Apache 1.x comes with Mini and it runs fine.

PHP 4.4 comes with Mini and after changing http.conf, it runs fine  
with Apache.

I downloaded the MySQL 5.0 package and installed it following the  
'entropy' page:
http://www.entropy.ch/software/MacOSx/mysql/

MySQL runs fine at command line (mysql and mysqladmin)

It won't talk to phpMyAdmin. Says:
#2002 - The server is not responding (or the local MySQL server's  
socket is not correctly configured)

I've tried every password and user combo (usually 'root' and  
'' (blank) work ).

My guess is that PHP 4.4 does not talk to MySQL 5.0? Should I install  
the PHP 5.x package? Reason I ask is that I would think that MySQL  
5.x would have downward capability with PHP 4.x?

Can anyone offer some guidelines?

Thanks,
Al



More information about the MAC-L mailing list